mscorlib 2.0.0.0 4.0.0.0 System.Object System.Runtime.Serialization.ISerializable System.Runtime.InteropServices.ComVisible(false)

The class is used in the activation of manifest-based applications.

Provides the ability to uniquely identify a manifest-activated application. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  The format of the parameter is a comma-delimited Unicode string that begins with the name, as follows:

  applicationURL#deploymentIdentity\applicationIdentity

  Where deploymentIdentity =

  deploymentManifest, Version = Major.Minor.Build.Revision, Culture = CultureInfo, PublicKeyToken=TokenNumber, processorArchitecture=processorArchitecture

  And applicationIdentity =

  applicationName, Version = Major.Minor.Build.Revision, Culture = CultureInfo, PublicKeyToken=TokenNumber, processorArchitecture=processorArchitecture, type=OsType

  The following is an example of the full name for an application named ActivationContext:

  http://testserver/ActivationContext/ActivationContext.application #ActivationContext.application, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ae13aad84c1a3490, processorArchitecture=msil \ActivationContext.exe, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ae13aad84c1a3490, processorArchitecture=msil, type=win32

  The default value for processor architecture is "msil", and the default value for type is "win32".

  Initializes a new instance of the class.

  The full name of the application.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The following are two examples of property values for an application named ActivationContext:

  http://testserver/ActivationContext/ActivationContext.application

  file://C:/UserFiles/UserName/SolutionName/ActivationContext/publish/ActivationContext.application.

  Gets the location of the deployment manifest as a URL.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  For a description of the format of the property, see the constructor.

  Gets the full name of the application.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Populates a object with the data needed to serialize the target object.

  The to populate with data. The ) structure for the serialization.
- Method
  2.0.0.0
  4.0.0.0
  System.String

  For a description of the format of a full name for a manifest activated application, see the constructor.

  Returns the full name of the manifest-activated application.

  The full name of the manifest-activated application.